/*****************************************************************************
 * These are Applate functions to make life easier. All of the functions     *
 * from this file start with "ap".                                           *
 *                                                                           *
 * apMaximize(div, adj)                                                      *
 * Set the height of a particular div to the height of the window minus the  *
 * specified adjustment value (adj). Example: apMaximize('#example', 75);    *
 *****************************************************************************/

function apMaximize(div, adj) {

	// Grab the height of the page
	pageHeight = $(window).height();
	
	// Grab the minimum height
	minHeight = $(div).css('min-height');
	
	// Subtract the adjustment pixels from that height
	adjHeight = pageHeight - adj;
	
	// If it's too small, fix it
	if (adjHeight < minHeight) {
		adjHeight = minHeight;
	}
	
	// Set the specified div to the new height
	$(div).height(adjHeight);
	
}
